Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Kees Cook <[email-masked]>
Date: Wed, 9 Sep 2020 14:47:17 -0700

On Wed, Sep 09, 2020 at 09:21:05AM +0200, Greg KH wrote:
> On Wed, Sep 09, 2020 at 03:47:09PM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the driver-core tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > lib/test_firmware.c: In function 'trigger_request_platform_store':
> > lib/test_firmware.c:517:35: error: 'efi_embedded_fw_list' undeclared (first use in this function); did you mean 'efi_embedded_fw_desc'?
> >   517 |  list_add(&efi_embedded_fw.list, &efi_embedded_fw_list);
> >       |                                   ^~~~~~~~~~~~~~~~~~~~
> >       |                                   efi_embedded_fw_desc
> > lib/test_firmware.c:517:35: note: each undeclared identifier is reported only once for each function it appears in
> > lib/test_firmware.c:518:34: error: 'efi_embedded_fw_checked' undeclared (first use in this function); did you mean 'saved_efi_embedded_fw_checked'?
> >   518 |  saved_efi_embedded_fw_checked = efi_embedded_fw_checked;
> >       |                                  ^~~~~~~~~~~~~~~~~~~~~~~
> >       |                                  saved_efi_embedded_fw_checked
> > 
> > Caused by commit
> > 
> >   18efb2f9e897 ("test_firmware: Test platform fw loading on non-EFI systems")
> 
> {sigh}
> 
> I'll go revert this, sorry about that.
> 
> Kees, can you fix up this whole series and resend it again?  I'm
> dropping it from my trees now...

Oh ew, I will check the configs. I wonder what went wrong with this...
sorry for the noise!

-- 
Kees Cook